<?php

namespace EventPortal\Domain\Component\Filter;

use EventPortal\Domain\Component\Concerns\HasOptions;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Arr;

class StatusFilter extends Filter
{
    use HasOptions;

    /** @var string */
    public $type = 'MultiSelect';

    public function __construct(string $label)
    {
        parent::__construct($label);

        $this->lookup(function ($query, $value, $field) {
            return $query->where(function (Builder $query) use ($value, $field): void {
                foreach (Arr::wrap($value) as $valuea) {
                    $query->orWhere($field, '=', $valuea);
                }
            });
        });
    }
}
