<?php

namespace EventPortal\Domain\FormProgress;

use EventPortal\Domain\Event\Form\Models\FormStep as FormStepModel;

class FormStep
{
    public int $formStepId;

    public int $value;

    public string $label;

    public bool $completed;

    public function __construct(FormStepModel $formStep)
    {
        $this->formStepId = $formStep->id;
        $this->value = $formStep->order;
        $this->label = $formStep->name;
        $this->completed = false;
    }

    public function toArray(): array
    {
        return [
            'value' => $this->value,
            'label' => $this->label,
            'completed' => $this->completed,
        ];
    }
}
