<?php

namespace EventPortal\Domain\Util;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Table\Table;

class AdminRender extends Render
{
    public static function component(string $component, string $context = 'admin'): self
    {
        return new self($component, $context);
    }

    public function withBreadcrumbs(array $breadcrumbs): self
    {
        $this->data['breadcrumbs'] = $breadcrumbs;

        return $this;
    }

    public function withQuickButton(?Button $button = null, bool $canDisplay = true): self
    {
        if ($button !== null && $canDisplay) {
            $this->data['pageHeader']['quickButtons'] = [$button];
        }

        return $this;
    }

    public function withQuickButtons(array $buttons, bool $canDisplay = true): self
    {
        if ($buttons !== null && $canDisplay) {
            $this->data['pageHeader']['quickButtons'] = $buttons;
        }

        return $this;
    }

    public function withSideBar(array $sidebar): self
    {
        $this->data['sidebar'] = $sidebar;

        return $this;
    }

    public function withTasks(array $tasks): self
    {
        $this->data['tasks'] = $tasks;

        return $this;
    }

    public function withStatistics(array $data): self
    {
        $this->data['stats'] = $data;

        return $this;
    }

    /**
     * Adds table to data prop, not compatible with withData method
     */
    public function withTable(Table $table): self
    {
        return $this->withData($table);
    }

    public function withAlert(array $alert): self
    {
        $this->data['alert'] = $alert;

        return $this;
    }
}
