<?php

namespace EventPortal\Http\Middleware\Admin;

use Closure;
use Illuminate\Http\Request;

class CannotPerformActionOnSelf
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->user()->id === $request->admin->user->id) {
            toast()->error('You cannot perform action on your own account.');

            return redirect()->back();
        }

        return $next($request);
    }
}
